Failed to load xpackplugin, please help, urgent


(Derrick) #1

[2017-12-20T20:55:32,603][WARN ][o.e.d.c.s.Settings ] [keystore.password] setting was deprecated in Elasticsearch and will be removed in a future release! See the breaking changes documentation for the next major version.
[2017-12-20T20:55:32,604][WARN ][o.e.d.c.s.Settings ] [keystore.key_password] setting was deprecated in Elasticsearch and will be removed in a future release! See the breaking changes documentation for the next major version.
[2017-12-20T20:55:33,460][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [pxv-data1.dev.lbb4sd.333az.net] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: ElasticsearchException[Failed to load plugin class [org.elasticsearch.xpack.XPackPlugin]]; nested: InvocationTargetException; nested: IllegalArgumentException[the [action.auto_create_index] setting value [.security,.monitoring*,.watches,.triggered_watches,.watcher-history*,.ml*] is too restrictive. disable [action.auto_create_index] or set it to [.security,.security-6]];
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:136) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:123) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:70) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:134) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:91) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:84) ~[elasticsearch-5.6.4.jar:5.6.4]
Caused by: org.elasticsearch.ElasticsearchException: Failed to load plugin class [org.elasticsearch.xpack.XPackPlugin]
at org.elasticsearch.plugins.PluginsService.loadPlugin(PluginsService.java:438) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.plugins.PluginsService.loadBundles(PluginsService.java:391) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.plugins.PluginsService.(PluginsService.java:141) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.node.Node.(Node.java:313) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.node.Node.(Node.java:245) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:233) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:233) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:342) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:132) ~[elasticsearch-5.6.4.jar:5.6.4]
... 6 more
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:?]
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:?]
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:?]
at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_151]
at org.elasticsearch.plugins.PluginsService.loadPlugin(PluginsService.java:427) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.plugins.PluginsService.loadBundles(PluginsService.java:391) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.plugins.PluginsService.(PluginsService.java:141) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.node.Node.(Node.java:313) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.node.Node.(Node.java:245) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:233) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:233) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:342) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:132) ~[elasticsearch-5.6.4.jar:5.6.4]
... 6 more
Caused by: java.lang.IllegalArgumentException: the [action.auto_create_index] setting value [.security,.monitoring*,.watches,.triggered_watches,.watcher-history*,.ml*] is too restrictive. disable [action.auto_create_index] or set it to [.security,.security-6]
at org.elasticsearch.xpack.security.Security.validateAutoCreateIndex(Security.java:812) ~[?:?]
at org.elasticsearch.xpack.security.Security.(Security.java:252) ~[?:?]
at org.elasticsearch.xpack.XPackPlugin.(XPackPlugin.java:219) ~[?:?]
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:?]
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:?]
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:?]
at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_151]
at org.elasticsearch.plugins.PluginsService.loadPlugin(PluginsService.java:427) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.plugins.PluginsService.loadBundles(PluginsService.java:391) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.plugins.PluginsService.(PluginsService.java:141) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.node.Node.(Node.java:313) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.node.Node.(Node.java:245) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:233) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:233) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:342) ~[elasticsearch-5.6.4.jar:5.6.4]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:132) ~[elasticsearch-5.6.4.jar:5.6.4]
... 6 more


(Tim Vernum) #2

This is the error that you need to solve.

In your elasticsearch.yml there is a setting for action.auto_create_index
Try changing it to

action.auto_create_index: ".security*,.monitoring*,.watches,.triggered_watches,.watcher-history*,.ml*"

(Derrick) #3

Hi Tim,

I changed it as your suggestion, but still same problem, my es and xpack version is 5.6.4


Config https for Elasticsearch 5.6
(Tim Vernum) #4

That still has the old value. What did you change?


(Derrick) #5

Changed it to .security,.security6, but same error

What value I should change to?


(Tim Vernum) #6

Please change it to the value that I suggested in my earlier post.


(Derrick) #7

Is this value?

action.auto_create_index: ".security*,.monitoring*,.watches,.triggered_watches,.watcher-history*,.ml*"


(Tim Vernum) #8

Yes, that one


(Derrick) #9

Thanks vm Tim,

it works now, I really appreciate it.


(Tim Vernum) #10

Please ask this question as a new topic in the #elasticsearch forum.


(Derrick) #11

Thanks Tim,

I have resolved it.


(system) #12

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.